org.apache.fop.render.rtf.rtflib.rtfdoc

## Interface IrtfTemplateContainer

-     public interface IrtfTemplateContainer

  Interface for classes containing templates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RtfTemplate` | `newTemplate(String str, RtfAttributes attr)` Creates a new Template.

- - ### Method Detail

    - #### newTemplate

          RtfTemplate newTemplate(String str,
                                  RtfAttributes attr)
                           throws IOException

      Creates a new Template.
      Parameters:
        `str` - description of Template
        `attr` - attributes of Template
      Returns:
        new Template object
      Throws:
        `IOException` - on error

Copyright © 2023 Apache Software Foundation. All rights reserved.